ru.bitel.bgbilling.modules.tv.api.common.bean

## Class TvAccount

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.common.model.AbstractTreeNode<TvAccount>
      - - ru.bitel.bgbilling.modules.tv.api.common.bean.TvAccount

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Idable, ListItem, Node<TvAccount>, TreeNode<TvAccount>

      public class TvAccount
      extends AbstractTreeNode<TvAccount>
      implements TreeNode<TvAccount>, java.lang.Cloneable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `STATE_DELETED` Состояние сервиса - удален (со связанных устройств).
    `static short` | `STATE_DISABLE` Состояние сервиса/соединения - доступ отключен.
    `static short` | `STATE_ENABLE` Состояние сервиса/соединения - доступ включен.
    `static short` | `STATE_NULL` Состояние сервиса - означает, что состояние не изменилось.
    `static int` | `STATUS_ACTIVE`
    `static int` | `STATUS_CLOSED`
    `static int` | `STATUS_LOCKED`

    - ### Fields inherited from class ru.bitel.common.model.AbstractTreeNode

      `children, parentId`

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TvAccount()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TvAccount` | `clone()`
    `int` | `getAccessCode()`
    `java.lang.String` | `getAccessCodeTitle()`
    `java.lang.String` | `getComment()`
    `java.lang.String` | `getConfig()`
    `java.lang.String` | `getContractComment()`
    `int` | `getContractId()`
    `java.lang.String` | `getContractTitle()`
    `java.util.Date` | `getDateFrom()`
    `java.util.Date` | `getDateTo()`
    `java.lang.String` | `getDeviceAccountId()`
    `int` | `getDeviceId()`
    `java.util.Set<java.lang.Integer>` | `getDeviceOptionIds()`
    `short` | `getDeviceState()` Текущее состояние на устройстве (при условии что устройство не сбросило все настройки при перезагрузке) При изменении статуса сервиса выставляется в newInetServ события, но в базе не меняется - это должно случится, после того как отработает скрипт активации.
    `java.lang.String` | `getDeviceTitle()`
    `java.lang.String` | `getIdentifier()`
    `int` | `getInterfaceId()`
    `java.lang.String` | `getInterfaceTitle()`
    `java.lang.String` | `getLogin()`
    `java.util.List<byte[]>` | `getMacAddressList()`
    `byte[]` | `getMacAddressListBytes()`
    `java.lang.String` | `getPassword()`
    `java.lang.String` | `getPin()`
    `int` | `getSpecId()`
    `java.lang.String` | `getSpecTitle()`
    `int` | `getStatus()`
    `int` | `getVlan()`
    `static java.lang.String` | `macAddressToString(byte[] macAddress)`
    `static byte[]` | `parseMacAddress(java.lang.String macAddress)`
    `void` | `setAccessCode(int accessCode)`
    `void` | `setAccessCodeTitle(java.lang.String deviceStateTitle)`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setConfig(java.lang.String config)`
    `void` | `setContractComment(java.lang.String contractComment)`
    `void` | `setContractId(int contractId)`
    `void` | `setContractTitle(java.lang.String contractTitle)`
    `void` | `setDateFrom(java.util.Date dateFrom)`
    `void` | `setDateTo(java.util.Date dateTo)`
    `void` | `setDeviceAccountId(java.lang.String deviceAccountId)`
    `void` | `setDeviceId(int deviceId)`
    `void` | `setDeviceOptionIds(java.util.Set<java.lang.Integer> deviceServiceIds)`
    `void` | `setDeviceState(short currentState)` Текущее состояние на устройстве (при условии что устройство не сбросило все настройки при перезагрузке) При изменении статуса сервиса выставляется в newInetServ события, но в базе не меняется - это должно случится, после того как отработает скрипт активации.
    `void` | `setDeviceTitle(java.lang.String deviceTitle)`
    `void` | `setIdentifier(java.lang.String identifier)`
    `void` | `setInterfaceId(int portId)`
    `void` | `setInterfaceTitle(java.lang.String interfaceTitle)`
    `void` | `setLogin(java.lang.String login)`
    `void` | `setMacAddressList(java.util.List<byte[]> macAddress)`
    `void` | `setMacAddressListBytes(byte[] macAddressListBytes)`
    `void` | `setPassword(java.lang.String password)`
    `void` | `setPin(java.lang.String pin)`
    `void` | `setSpecId(int specId)`
    `void` | `setSpecTitle(java.lang.String servTypeTitle)`
    `void` | `setStatus(int status)`
    `void` | `setVlan(int vlanId)`
    `java.lang.String` | `toString()`
    `static java.lang.String` | `toString(TvAccount val)`

    - ### Methods inherited from class ru.bitel.common.model.AbstractTreeNode

      `getChildren, getParentId, setChildren, setParentId, toList`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.TreeNode

      `getChildren`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Field Detail

    - #### STATUS_ACTIVE

          public static final int STATUS_ACTIVE

      See Also:
        Constant Field Values

    - #### STATUS_CLOSED

          public static final int STATUS_CLOSED

      See Also:
        Constant Field Values

    - #### STATUS_LOCKED

          public static final int STATUS_LOCKED

      See Also:
        Constant Field Values

    - #### STATE_NULL

          public static final short STATE_NULL

      Состояние сервиса - означает, что состояние не изменилось.
      See Also:
        Constant Field Values

    - #### STATE_DELETED

          public static final short STATE_DELETED

      Состояние сервиса - удален (со связанных устройств).
      See Also:
        Constant Field Values

    - #### STATE_DISABLE

          public static final short STATE_DISABLE

      Состояние сервиса/соединения - доступ отключен.
      See Also:
        Constant Field Values

    - #### STATE_ENABLE

          public static final short STATE_ENABLE

      Состояние сервиса/соединения - доступ включен.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TvAccount

          public TvAccount()

  - ### Method Detail

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int contractId)

    - #### getContractTitle

          public java.lang.String getContractTitle()

    - #### setContractTitle

          public void setContractTitle(java.lang.String contractTitle)

    - #### getContractComment

          public java.lang.String getContractComment()

    - #### setContractComment

          public void setContractComment(java.lang.String contractComment)

    - #### getSpecId

          public int getSpecId()

    - #### setSpecId

          public void setSpecId(int specId)

    - #### getSpecTitle

          public java.lang.String getSpecTitle()

    - #### setSpecTitle

          public void setSpecTitle(java.lang.String servTypeTitle)

    - #### getDeviceId

          public int getDeviceId()

    - #### setDeviceId

          public void setDeviceId(int deviceId)

    - #### getDeviceTitle

          public java.lang.String getDeviceTitle()

    - #### setDeviceTitle

          public void setDeviceTitle(java.lang.String deviceTitle)

    - #### getInterfaceId

          public int getInterfaceId()

    - #### setInterfaceId

          public void setInterfaceId(int portId)

    - #### getInterfaceTitle

          public java.lang.String getInterfaceTitle()

    - #### setInterfaceTitle

          public void setInterfaceTitle(java.lang.String interfaceTitle)

    - #### getVlan

          public int getVlan()

    - #### setVlan

          public void setVlan(int vlanId)

    - #### getIdentifier

          public java.lang.String getIdentifier()

    - #### setIdentifier

          public void setIdentifier(java.lang.String identifier)

    - #### getMacAddressList

          public java.util.List<byte[]> getMacAddressList()

    - #### setMacAddressList

          public void setMacAddressList(java.util.List<byte[]> macAddress)

    - #### getMacAddressListBytes

          public byte[] getMacAddressListBytes()

    - #### setMacAddressListBytes

          public void setMacAddressListBytes(byte[] macAddressListBytes)

    - #### getLogin

          public java.lang.String getLogin()

    - #### setLogin

          public void setLogin(java.lang.String login)

    - #### getPin

          public java.lang.String getPin()

    - #### setPin

          public void setPin(java.lang.String pin)

    - #### getPassword

          public java.lang.String getPassword()

    - #### setPassword

          public void setPassword(java.lang.String password)

    - #### getDateFrom

          public java.util.Date getDateFrom()

    - #### setDateFrom

          public void setDateFrom(java.util.Date dateFrom)

    - #### getDateTo

          public java.util.Date getDateTo()

    - #### setDateTo

          public void setDateTo(java.util.Date dateTo)

    - #### getStatus

          public int getStatus()

    - #### setStatus

          public void setStatus(int status)

    - #### getDeviceAccountId

          public java.lang.String getDeviceAccountId()

    - #### setDeviceAccountId

          public void setDeviceAccountId(java.lang.String deviceAccountId)

    - #### getDeviceState

          public short getDeviceState()

      Текущее состояние на устройстве (при условии что устройство не сбросило все настройки при перезагрузке)
      При изменении статуса сервиса выставляется в newInetServ события, но в базе не меняется - это должно случится, после того как отработает скрипт активации.

    - #### setDeviceState

          public void setDeviceState(short currentState)

      Текущее состояние на устройстве (при условии что устройство не сбросило все настройки при перезагрузке)
      При изменении статуса сервиса выставляется в newInetServ события, но в базе не меняется - это должно случится, после того как отработает скрипт активации.

    - #### getAccessCodeTitle

          public java.lang.String getAccessCodeTitle()

    - #### setAccessCodeTitle

          public void setAccessCodeTitle(java.lang.String deviceStateTitle)

    - #### getDeviceOptionIds

          public java.util.Set<java.lang.Integer> getDeviceOptionIds()

    - #### setDeviceOptionIds

          public void setDeviceOptionIds(java.util.Set<java.lang.Integer> deviceServiceIds)

    - #### getAccessCode

          public int getAccessCode()

    - #### setAccessCode

          public void setAccessCode(int accessCode)

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### getConfig

          public java.lang.String getConfig()

    - #### setConfig

          public void setConfig(java.lang.String config)

    - #### clone

          public TvAccount clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `IdTitle`

    - #### toString

          public static java.lang.String toString(TvAccount val)

    - #### parseMacAddress

          public static byte[] parseMacAddress(java.lang.String macAddress)

    - #### macAddressToString

          public static java.lang.String macAddressToString(byte[] macAddress)